# Trend Micro Cloud One Application Security for .NET Core

## Requirements

- .NET Core 2.1+

## Support Matrix

Some features require specific components to work:

| Feature          | Required Component       |
| -----------------| ------------------------ |
| All features     | ASP.NET Core |
| SQLi             | EntityFramework Core 2.1+ |

## Installation

1. Download `TrendAppProtect.zip`.

2. Extract the archive under `/usr/local/trend_app_protect_netcore` (or other).

3. Edit `/usr/local/trend_app_protect_netcore/TrendAppProtect.config`. See instructions in the file.

4. Set the following environment variables for the process running your .NET Core application:

```
CORECLR_ENABLE_PROFILING=1
CORECLR_PROFILER={a51743a9-9e05-4a9f-adcd-d39aa322615a}
CORECLR_PROFILER_PATH=/usr/local/trend_app_protect_netcore/bin/libTrendAppProtectProfiler-x64-Linux.so
TREND_AP_CONFIG_FILE=/usr/local/trend_app_protect_netcore/TrendAppProtect.config
```

5. Start or restart your application.
